
Infrastructure - Task #1861

Story # 1859 (Closed): Review and add missing ObjectFormat types listing

add ERC schema to the list of acceptable ObjectFormats

2011-10-13 22:14 - Matthew Jones

Status: Closed Start date: 2011-10-13

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

ERC is a metadata standard, proposed here: 

We need to add this to the ObjectFormat list.  It is the first (of probably many) non-xml science metadata standards that have been

requested.  So there is no associated XSD format for this type.  John Kunze has suggested ways to convert ESC to XML -- see

discussion below for suggested namespaces and for the approaches.  Note that the suggested fmtid for this has been changed to

ERC-V02, rather than the less specific ERC in the XML snippet below.

The spec is here: http://dublincore.org/groups/kernel/spec/

John Kunze wrote:

Could someone add "ERC" to the official ObjectFormat list?  I think this

ERC

Kernel Metadata and Electronic Resource Citations (ERCs), 2010.05.13

<!-- http://dublincore.org/groups/kernel/spec/ -->

METADATA

and later John Kunze also wrote:

Regarding versioning the fmtid, "ERC-V02" would be more precise.

As for non-XML metadata, I think we should currently see no loss of

discoverability since the FGDC metadata we're supplying is a superset of

the ERC metadata.  In the long term, if DataONE is inclined to support

ANVL metadata, there's open-source code [1] to transform ANVL records

into XML, Turtle, JSON, CSV, etc.  (ANVL is basically like email headers

and the ERC format uses ANVL for generic cross-disciplinary metadata.)

History

#1 - 2011-10-13 22:39 - Robert Waltz

ERC is a metadata vocabulary that may be used in some encapsulating format.  I think we want to specify the specific encapsulating format rather

than ERC itself.  So ERC may be included in XML, a text document or binary format.  So, this is a valid ERC expression and can be attributes of any

electronic object:

erc:

who:    Gibbon, Edward

what:   The Decline and Fall of the Roman Empire

when:   1781

where:  http://www.ccel.org/g/gibbon/decline/

The terms who, what, when, where and how  is the specification with some qualifying terms as well...

I don't see how we can support this as a specific document format type.
#2 - 2012-06-18 22:37 - Chris Jones

- Status changed from New to In Progress

- Milestone changed from CCI-0.6.4 to CCI-1.0.1

- Assignee changed from Matthew Jones to Chris Jones

#3 - 2012-06-19 05:24 - Robert Waltz

- Milestone changed from CCI-1.0.1 to CCI-1.0.2

#4 - 2012-06-25 20:47 - Chris Jones

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

#5 - 2012-07-31 01:10 - Dave Vieglais

- Target version set to Sprint-2012.29-Block.4.3

- Milestone changed from CCI-1.0.3 to None

#6 - 2012-08-29 16:04 - Chris Jones

- Status changed from In Progress to Closed
